﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using Infragistics.Windows;
using Infragistics.Windows.Controls;
using System.Data;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Controls.Grids;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = CreateTable(5, 10);
        }

        public DataTable CreateTable(int columns, int rows)
        {
            DataTable d = new DataTable();
            Random r = new Random();

            for (int i = 0; i < columns; i++)
            {
                d.Columns.Add(new DataColumn("Column " + i, typeof(int)));
            }
            for (int i = 0; i < rows; i++)
            {
                DataRow row = d.NewRow();

                for (int j = 0; j < columns; j++)
                {
                    row["Column " + j] = r.Next(1000 * i);
                }

                d.Rows.Add(row);
            }
            return d;
        }
        
        private void SRCCloaded(object sender, RoutedEventArgs e)
        {
            if ((sender as SummaryRowCellControl).HasContent == false) 
            {
                (sender as SummaryRowCellControl).Visibility = System.Windows.Visibility.Collapsed;
            }
        }
        private void HCCloaded(object sender, RoutedEventArgs e)
        {
            if ((sender as HeaderCellControl).HasContent == false) 
            {
                (sender as HeaderCellControl).Visibility = System.Windows.Visibility.Collapsed;
            }
        }

        private void CCloaded(object sender, RoutedEventArgs e)
        {
            if ((sender as CellControl).HasContent == false)
            {
                (sender as CellControl).Visibility = System.Windows.Visibility.Collapsed;
            }
        }

        private void xamGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            FixedRowSeparator frs = Utilities.GetDescendantFromType(sender as DependencyObject, typeof(FixedRowSeparator), true) as FixedRowSeparator;
            frs.Height = 0;
        }
    }
}
